打开网易云音乐提示Gtk-Message: Failed to load module "canberra-gtk-module"

2018-03-04


命令行启动网易云音乐会提示 Gtk-Message: Failed to load module "canberra-gtk-module" 其实只是缺少依赖,安装上去即可。

当然了,在Linux上面使用网易云音乐确实是目前最好的音乐播放方案,其他的要么界面丑,要么功能简陋,但网易云音乐也不全是优点,单是各种小毛病不断就足够折腾人的了,所以我一般都是配合deadbeef一起使用,deadbeef主要用来播放本地音乐。

安装依赖

1
sudo apt-get install libcanberra-gtk-module

如果安装之后还是有这个提示,则安装32位版本的依赖

1
sudo apt-get install libcanberra-gtk-module:i386

或者可以试试sudo权限运行

1
sudo netease-cloud-music

新版 v1.1 确实优化了很多地方,但是影响使用的毛病很多,比如重开软件音量自动调到最大。 还有一个问题就是时常启动不了,但是后台有进程,这种情况直接用root权限启动就可以了:

1
sudo netease-cloud-music

而且用root权限还能解决新版网易云音乐启动慢,卡顿的问题,但是cpu使用率直线飙升。 所以不想折腾的还是回归到 v1.0 的怀抱吧。



评论